> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shakesco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Test Business Address

> Generate test delegate address for business testing

<span style={{display:"none"}}>For the complete documentation index, see [llms.txt](/llms.txt).</span>

Request a test business delegate address for integration testing. Address is automatically funded.

<Info>
  Test addresses are automatically funded - no balance required for testing.
</Info>

## Request Body

<ParamField body="smart_wallet" type="string" required>
  Your business smart wallet address (same for Ethereum and Polygon)
</ParamField>

## Response

<ResponseField name="id" type="integer">
  Request ID
</ResponseField>

<ResponseField name="test_delegate_address" type="string">
  Generated test business address
</ResponseField>

<RequestExample>
  ```javascript Node.js theme={null}
  const response = await fetch(
    "https://payments.shakesco.com/buss_delegate_address",
    {
      method: "POST",
      headers: {
        Authorization: `Bearer ${API_KEY}`,
        "Content-Type": "application/json",
      },
      body: JSON.stringify({
        smart_wallet: "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb4",
      }),
    }
  );

  const { test_delegate_address } = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      "https://payments.shakesco.com/buss_delegate_address",
      headers={
          "Authorization": f"Bearer {API_KEY}",
          "Content-Type": "application/json"
      },
      json={
          "smart_wallet": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb4"
      }
  )

  data = response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "id": 1,
    "test_delegate_address": "0xB808ff0E0F4fC24D0cECeED6014f04ecE5bfca36"
  }
  ```
</ResponseExample>

<Note>
  Use network `11155111` (Sepolia testnet) when testing with this address.
</Note>
